@echo off
REM SETUP.BAT for MicroApache - "MP3 Jukebox edition"
REM M Shaw - 15th April 2011

REM Note that this software depends on the FREEWARE SWF-based MP3 player from PremiumBeat
REM http://www.premiumbeat.com/flash_resources/free_flash_music_player/   
REM This CANNOT be bundled due to legal/licensing restrictions
REM Download the recommended player from this URL:
REM http://www.premiumbeat.com/flash_resources/free_flash_music_player/multiple_tracks_mp3_player_menu.php
REM This software is designed for HOME USE ONLY
REM ReactOS and WINE are currently NOT yet supported
REM * Ensure you have no other valuable files on your USB stick before continuing! *

CLS
COLOR cf
ECHO * WARNING *
ECHO.
ECHO Install only on an *EMPTY* USB stick or removable device
ECHO Root folders that are created and populated are:
ECHO.
ECHO \Jukebox\
ECHO \Tools\
ECHO \Player\
ECHO.
ECHO If these folders already exist on your device the contents could be overwritten
ECHO.
tools\ask.exe " Do you want to install MicroApache Jukebox on THIS drive " /f=white /b=blue
echo.
if errorlevel 2 goto done
if errorlevel 1 goto install
goto done

:install
REM Stop any instance of MicroApache (say from previous failed install)
call stop.bat
REM The default for MicroApache is for the document root to be set to the disk (USB stick) root
REM Create ROOT folders to hold common SWF, Javascript code etc.
REM We create these on the same drive this file is launched from...
MKDIR \player\
MKDIR \player\wallpapers\
REM Copy available source modules from local install folder to the working ROOT folder
XCOPY player\*.* \player\ /y /d
XCOPY player\wallpapers\*.jpg \player\wallpapers\ /y /d
REM Copy tree-servicing command to the drive root
REM This utility is used by populate-folder.bat. Please don't remove it!
MKDIR \tools\
XCOPY tools\*.exe \tools /y /d
REM This batch file must go into the Jukebox ROOT folder
REM If you want to create a folder in root and put folders with MP3s UNDER that then uncomment this line
REM Create a root folder to hold the supplied sample MP3 files
MKDIR \Jukebox\
XCOPY "sample-mp3\Create your MP3 folders under here.txt" \Jukebox\ /y /d
REM We set index ignore: IndexIgnore readme .htaccess .bat .exe
XCOPY tools\populate-folders.bat \Jukebox /y /d
MKDIR "\Jukebox\Sample MP3 Music"
REM Create a sample folder with some Creative Commons music in it
XCOPY sample-mp3\*.mp3 "\Jukebox\Sample MP3 Music\" /y /d
REM Set this folder up right now
XCOPY player\index.php "\Jukebox\Sample MP3 Music\" /y /d
REM Finished installation ==========================================

CLS
COLOR 0F
ECHO *** INSTRUCTIONS ***
ECHO.
ECHO Access your Jukebox server using a web browser with the URL http://localhost
ECHO This edition of MicroApache is configured to run on standard port 80 
ECHO instead of the usual MicroApache port of 8800 because it is envisaged 
ECHO that you will only wish to share music within your own LAN
ECHO Sharing MP3s over the internet is not recommended due to potential legal issues
ECHO If the server won't start then you may already have another server on port 80
ECHO If the above happens edit conf\httpd.conf and change the PORT value to 8800
ECHO Then re-access your Jukebox server using http://localhost:8800
ECHO.
ECHO Place your MP3 collection in folders underneath \Jukebox\
ECHO When you add new folders re-run \Jukebox\populate-folders.bat to add index.php
ECHO.
ECHO Before continuing, if you have NoScript installed, allow "localhost"
ECHO.
tools\ask.exe " Do you want to start the MicroApache webserver Jukebox now " /f=white /b=red
if errorlevel 2 goto done
if errorlevel 1 goto start
goto done

:start
call go.bat
ECHO Please do not press any keys for 10 seconds...
tools\ask.exe " Please wait 10 seconds for the server to start... " /f=white /b=green /t=10
REM Browse the server (if possible) and launch the music
REM With the document root set to / you will need this line...
REM start http://localhost/
REM With the document root to "/jukebox/" then you will need this line...
REM NB This will make /player/ invisible and require editing of index.php
start http://localhost/jukebox/

:done
COLOR 0F
echo "Finished"
ECHO Other machines on your private LAN can access the Jukebox using
ECHO http:<your ip address>/jukebox/
ECHO When you add new folders to \Jukebox\ repopulate with index.php using
ECHO \Jukebox\populate-folders.bat
ECHO Enjoy!




